Bug 365311 - vmware selinux errors
vmware selinux errors
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-03 14:06 EDT by Need Real Name
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 11:24:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-11-03 14:06:56 EDT
avc: denied { read write } for comm=vmnet-netifup dev=tmpfs egid=0 euid=0
exe=/usr/bin/vmnet-netifup exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=vmnet8
pid=2061 scontext=system_u:system_r:vmware_host_t:s0 sgid=0
subj=system_u:system_r:vmware_host_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:device_t:s0 tty=(none) uid=0 

avc: denied { getattr } for comm=tmpwatch dev=sda2 egid=0 euid=0
exe=/usr/sbin/tmpwatch exit=-13 fsgid=0 fsuid=0 gid=0 items=0
path=/tmp/vmware-distrib pid=5530 scontext=system_u:system_r:tmpreaper_t:s0
sgid=0 subj=system_u:system_r:tmpreaper_t:s0 suid=0 tclass=dir
tcontext=user_u:object_r:default_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-11-12 11:24:15 EST
Not sure how /dev/vmnet8 got created, but it is labeled icorrectly.  It should
be labeled vmware_device_t.  If vmware scripts are creating the device they
should be executing restorecon /dev/vmnet8 after the creation or use udev to
create it.

The second bug looks like a directory that was moved from / to /tmp

The default label of files created in / is default_t but this should be labeled
tmp_t on /tmp.  Not sure how this got created.

Note You need to log in before you can comment on or make changes to this bug.